package com.proyek.akhir.kodel.ui.koperasi.beranda.pinjaman.confirmPeminjam

import android.content.Intent
import android.graphics.Color
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.ui.koperasi.beranda.pinjaman.PeminjamKoperasiActivity
import com.proyek.akhir.kodel.ui.user.profil.ProfilViewModel
import kotlinx.android.synthetic.main.activity_confirmasi_peminjam.*
import kotlinx.android.synthetic.main.activity_confirmasi_peminjam.imgPengguna
import kotlinx.android.synthetic.main.fragment_profil.*

class ConfirmasiPeminjamActivity : AppCompatActivity() {

    lateinit var profilViewModel: ProfilViewModel

    lateinit var idAnggota: String

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_confirmasi_peminjam)

        idAnggota = intent.getStringExtra("idAnggota")

        refreshConfirmPeminjam.setOnRefreshListener {
            refreshConfirmPeminjam.isRefreshing = true
            showAllData(idAnggota)
        }

        btnTerimaPermohonan.setOnClickListener {
            startActivity(Intent(this, PeminjamKoperasiActivity::class.java))
            finish()
        }

        btnTolakPermohonan.setOnClickListener {
            startActivity(Intent(this, PeminjamKoperasiActivity::class.java))
            finish()
        }

        refreshConfirmPeminjam.isRefreshing = true
        showAllData(idAnggota)
    }

    private fun showAllData(idAnggota: String) {
        profilViewModel = ViewModelProvider(this).get(ProfilViewModel::class.java)
        profilViewModel.getItemAnggota(idAnggota)
        profilViewModel.setDataAnggotaItem().observe(this, Observer { anggota ->
            if (anggota != null) {
                refreshConfirmPeminjam.isRefreshing = false
                Glide.with(this)
                    .load(anggota[0].fotoDiriAnggota)
                    .into(imgPengguna)
                if (anggota[0].fotoKkAnggota != null) {
                    lnrKKStatus.setBackgroundColor(Color.parseColor(R.color.colorGreen.toString()))
                    txtStatusKk.text = "Ganti KK"
                    lnrKTPStatus.setBackgroundColor(Color.parseColor(R.color.colorGreen.toString()))
                    txtStatusKtp.text = "Ganti KTP"
                }
                namaPengguna.text = anggota[0].namaAnggota
                emailPengguna.text = anggota[0].emailAnggota
                nomorPengguna.text = anggota[0].noTelpAnggota.toString()
                alamatPengguna.text = anggota[0].alamatAnggota
                penghasilanAnggota.text =
                    getString(R.string.rp_x, anggota[0].penghasilanAnggota.toString())
            } else {
                Toast.makeText(this, "Jaringan Lemah!", Toast.LENGTH_SHORT).show()
            }
        })
    }
}
